Bug 536238 - (RHQ-60) determine what oracle indexes we want to reindex by SystemManagerBean
determine what oracle indexes we want to reindex by SystemManagerBean
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Database (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
http://jira.rhq-project.org/browse/RH...
: Task
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 11:11 EDT by John Mazzitelli
Modified: 2015-02-01 18:25 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-14 10:19:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2008-03-12 11:11:00 EDT
We need to determine what indexes we want SystemManagerBean to periodically reindex on Oracle.

It currently reindexes these:

    private final String[] ORA_INDEXES = { "RHQ_MEAS_DATA_1H_ID_TIME_PK", "RHQ_MEAS_DATA_6H_ID_TIME_PK",
        "RHQ_MEAS_DATA_1D_ID_TIME_PK", "RHQ_MEAS_BASELINE_CTIME_IDX", "RHQ_MEAS_DATA_TRAIT_ID_TIME_PK",
        "RHQ_MEASUREMENT_OOB_IDX" };
Comment 1 Charles Crouch 2008-04-02 13:40:06 EDT
With mazz to investigate if any more need to be added.
Comment 2 Joseph Marques 2008-07-02 06:06:14 EDT
we need to do more performance testing to understand what, if anything else, has an access/insertion policy that necessitates adding them to the re-index list.  but this won't happen until after 1.1.0
Comment 3 John Mazzitelli 2008-10-10 16:55:21 EDT
this has been here for a while, has been pushed way out - so clearly, it isn't critical :) moving to "major"
Comment 4 John Mazzitelli 2008-11-07 15:13:04 EST
unassigning - leave this for future work to be done
Comment 5 John Mazzitelli 2008-11-20 10:32:08 EST
Update this page when we decide what to do:

http://support.rhq-project.org/display/RHQ/Design-AllDBTables
Comment 6 John Mazzitelli 2009-01-30 17:30:07 EST
there may be nothing we have to do for this - but we should do a quick check to see if we need to reindex others
Comment 7 Joseph Marques 2009-03-20 07:11:41 EDT
if we end up getting our performance testing hardware back before 1.2 release, there are other bigger fish to fry than this - namely the performance of the cluster nav tree.  plus, we've been operating with the original index list for nearly a year now, so if things were really bad one would hope those issues would have shown up by now.
Comment 8 Red Hat Bugzilla 2009-11-10 16:13:11 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-60
Comment 10 Jay Shaughnessy 2014-05-14 10:19:35 EDT
relying on perf test team to make these recommendations

Note You need to log in before you can comment on or make changes to this bug.